LINUX.ORG.RU

Пакеты в генту.


0

0

Объясните пожалуйста как устанавливать свежие версии программ в генте. Например в дереве портжей лежит амарок 2.2, у меня ставится только 1.4, которое тянет за собой kde3.5. Какого лешего это старьё? Хэндбук и ман читал, ничего толкового не нашёл.

★★

Re: Пакеты в генту.

читай хендбук снова и снова, пока не найдешь слова ACCEPT_KEYWORDS и mask/unmask.

mydoom ★★★ ()
Ответ на: Re: Пакеты в генту. от mydoom

Пакеты в генту.

А как их увидеть-то? emerge --search их вообще не показывает. Странно это, одно старьё доступно, фоксу 3.0 уже сто лет в обед.

Booster ★★ ()
Ответ на: Пакеты в генту. от Sylvia

Пакеты в генту.

Спасибо, я уже и не надеялся это увидеть. Только непонятно почему оно замаскировано.
media-sound/amarok-2.2.0 (masked by: ~x86 keyword)
Нестабильная ветка или что?

Booster ★★ ()
Ответ на: Пакеты в генту. от Booster

Пакеты в генту.

>Нестабильная ветка или что?

Да, тестинг. Но её можно не напрягаясь использовать (ACCEPT_KEYWORDS="~x86" в make.conf). Если нужно размаскировать отдельные ебилды - прописать в /etc/portage/package.keywords. Всё это есть в хендбуке.

xetf ★★ ()
Ответ на: Пакеты в генту. от xetf

Пакеты в генту.

>Да, тестинг. Но её можно не напрягаясь использовать (ACCEPT_KEYWORDS="~x86" в make.conf). Если нужно размаскировать отдельные ебилды - прописать в /etc/portage/package.keywords. Всё это есть в хендбуке.
Об этом-то в хендбуке я прочитал, но никак не мог найти как просмотреть замаскированные пакеты. Как обычно какой-нибудь пустяк весь мозг съест. Ещё как-то необычно у них тестинг называется. ^)

Booster ★★ ()
Ответ на: Пакеты в генту. от Sylvia

Пакеты в генту.

Отлично, спасибо за спасение моего мозга, обновляюсь. И всё-таки, отчего такое странное название нестабильных веток - ~x86? На 64 бит - ~amd64? ^)

Booster ★★ ()
Ответ на: Пакеты в генту. от Booster

Re: Пакеты в генту.

>И такое старьё в stabe, как им не стыдно. Заставляют качать kde3.5.

Это как бы намекает на качество амарока2.

nitz ★★ ()
Ответ на: Пакеты в генту. от Booster

Пакеты в генту.

И такое старьё в stabe, как им не стыдно. Заставляют качать kde3.5.

А ты сам иди в разработчики и пинай их там чтоб старье не держали.

init_6 ★★★★★ ()
Ответ на: Пакеты в генту. от init_6

Пакеты в генту.

>ACCEPT_KEYWORDS="~x86" emerge -av =amarok-2.2.0

при пересборке мира будет собираться amarok1.4. Лучше сделать так:

echo ">=media-sound/amarok-2.2.0 ~x86" >> /etc/portage/package.keywords

emerge -av amarok

JustOloLilo ()
Ответ на: Пакеты в генту. от Booster

Re: Пакеты в генту.

>И всё-таки, отчего такое странное название нестабильных веток

Это не нестабильные, а тестовые.

Нестабильные обычно замаскированы и/или закрыты ACCEPT_KEYWORDS="-*" или "**".

KRoN73 ★★★★★ ()

Пакеты в генту.

Во-первых, amarok-2.2.0 уже стабилен ещё с октября

Во-вторых, за советы вроде ACCEPT_KEYWORDS в make.conf надо отрезать пальцы

Gary ★★★★★ ()
Ответ на: Пакеты в генту. от Gary

Пакеты в генту.

>Во-вторых, за советы вроде ACCEPT_KEYWORDS в make.conf надо отрезать пальцы
А если только ~x86? Вроде это логично, чтобы всегда иметь последние версии всего.

Booster ★★ ()
Ответ на: Пакеты в генту. от Booster

Пакеты в генту.

>А если только ~x86? Вроде это логично, чтобы всегда иметь последние версии всего

Маскировка пакетов в Gentoo применяется не просто так. Новые версии менее отлажены, чем старые, и могут содержать неисправленные или неизвестные баги. Обновление таких пакетов лучше стоит держать под контролем. Например, обновление baselayout с 1 до 2.

Gary ★★★★★ ()
Ответ на: Пакеты в генту. от xetf

Пакеты в генту.

>Но её можно не напрягаясь использовать (ACCEPT_KEYWORDS="~x86" в make.conf)

хорош советчик.

timth ★☆ ()
Ответ на: Пакеты в генту. от Booster

Re: Пакеты в генту.

>А если только ~x86? Вроде это логично, чтобы всегда иметь последние версии всего.

Вот последние версии конечного критичного для тебя софта через package.keywords и помечай. Зависимые либы добавляй туда же автоматом через autounmask. И всё системное без надобности не трогай. А то, как минимум, раз-другой в год будешь систему чинить из-за очередного конфликта новейшего glibc с очередным Питоном (пример - примерный...)

KRoN73 ★★★★★ ()
Ответ на: Re: Пакеты в генту. от KRoN73

Пакеты в генту.

как вариант можно использовать
/etc/portage/package.mask
где забанить обновления glibc и gcc (ну может там еще чего...)
а в make.conf разрешить ACCEPT_KEYWORDS="~x86"

чуть более красноглазо, но также относительно безопасно

Sylvia ★★★★★ ()
Ответ на: Пакеты в генту. от Sylvia

Re: Пакеты в генту.

>чуть более красноглазо, но также относительно безопасно

Нет, я предпочитаю ~x86 ставить только на то, что мне реально нужно самым свежим :) Зачем лишних приключений себе искать там, где оно не нужно? :)

>где забанить обновления glibc и gcc


Как? :) Ты, ведь, забанишь так не нестабильные варианты, а всё, что выше определённой версии. А если там стабильная выйдет? Отслеживать это постоянно? Зачем? :)

KRoN73 ★★★★★ ()
Ответ на: Re: Пакеты в генту. от KRoN73

Пакеты в генту.

$cat /etc/portage/package.mask
>sys-devel/binutils-2.18-r3
>sys-devel/gcc-4.3.2-r3
>sys-libs/glibc-2.9_p20081201-r2


позволяет зафиксировать на текущих версиях (правда я все равно вручную поставила и binutils и gcc c своим враппером на разные версии и профили, можно конечно попытаться привыкнуть к слотовой системе и eselect , но меня не совсем это устраивает, и eglibc вместо glibc (нравится оно мне больше))

хотя новичкам и тем кто хочет Ъ-gentoo way без slack-style конечно такое лучше не советовать, /etc/portage/package.unmask /etc/portage/package.keywords - оптимальный вариант

кстати в package.keywords можно нарисовать ACCEPT_LICENSE ? (для virtualbox-bin)

Sylvia ★★★★★ ()
Ответ на: Пакеты в генту. от Sylvia

Re: Пакеты в генту.

>позволяет зафиксировать на текущих версиях

Вот-вот. И выход новой стабильной версии придётся отслеживать. А смысл? :)

>кстати в package.keywords можно нарисовать ACCEPT_LICENSE ?


А чем make.conf не нравится? :)

А так - /etc/portage/package.license

KRoN73 ★★★★★ ()
Ответ на: Re: Пакеты в генту. от KRoN73

Пакеты в генту.

>>кстати в package.keywords можно нарисовать ACCEPT_LICENSE ?
>А чем make.conf не нравится? :)

тем что я не хочу PUEL для остальных пакетов, достаточно будет только virtualbox-bin , а то мало ли вдруг еще что есть с этим PUEL

>/etc/portage/package.license

спасибо

>выход новой стабильной версии придётся отслеживать. А смысл

я итак это делаю ) и вручную собираю то что мне нужно и так как мне это нужно , как минимум glibc, binutils, gcc,
а вот для всего остального USE флаги меня вполне себе устраивают.

Sylvia ★★★★★ ()
Ответ на: Пакеты в генту. от Gary

Пакеты в генту.

>Во-вторых, за советы вроде ACCEPT_KEYWORDS в make.conf надо отрезать пальцы

с самого первого дня использовал ~amd64 и ничего страшного не встречал

ierarx ()
Ответ на: Пакеты в генту. от Gary

Пакеты в генту.

Во-вторых, за советы вроде ACCEPT_KEYWORDS в make.conf надо отрезать пальцы

С чего бы? Я вполне могу хотеть нестабильную bleeding edge-систему на десктопе, как следствие, отправить ACCEPT_KEYWORDS в make.conf, да еще и некоторые пакеты поставить из git.

Ruth ★★ ()
Ответ на: Пакеты в генту. от ierarx

Re: Пакеты в генту.

>с самого первого дня использовал ~amd64 и ничего страшного не встречал

Или не включал комп, или поставил ~arch недавно :) У тебя все приключения ещё впереди!

KRoN73 ★★★★★ ()
Ответ на: Пакеты в генту. от Booster

Re: Пакеты в генту.

> А как их увидеть-то? emerge --search их вообще не показывает. Странно это, одно старьё доступно, фоксу 3.0 уже сто лет в обед.

Обычно все в мири юникса - файлы.

ls -lisAR /usr/portage и далее less на тот ебилд, который тебе нужен.

ну или последовать совету выше и поставить себе eixh

p.s. Добро пожаловать в ~~армию~~ лялих, сынок!

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.